<!DOCTYPE html>
<body>

<!--<ng-include src="'views/headerapps.html'"></ng-include>-->
<header ng-include="'views/headerapps.html'"></header>

<input type="text" ng-model="dataKetik">
<p>Isi ketikan data : {{dataKetik}}</p>
<p>hasil : {{homebelajar1.awesomeThings[0] + homebelajar1.awesomeThings[1]}}</p>
<p class="{{homebelajar1.color}}">Warna teks warna teks</p>
<p>{{homebelajar1.pesanHelloWorld}}</p>

<!--pengulangan dengan ng-repeat-->
<input type="text" ng-model="search.name" placeholder="kata pencarian">
<input type="text" ng-model="search.rate" placeholder="nilai rating pencarian">
<div>
  <p>Urut abjad a-z</p>
  <ul>
    <li ng-repeat="itemtekno in homebelajar1.teknologiwebObj | orderBy: 'name' | filter:search">
      <p>{{itemtekno.name}} - {{itemtekno.rate}}</p>
    </li>
  </ul>
</div>

<!--ng repeat dengan currency dan juga fraction nya dihilangkan dengan direc-->
<div>
  <p>Urut abjad z-a</p>
  <ul>
    <li ng-repeat="itemtekno in homebelajar1.teknologiwebObj | orderBy: '-name' | filter: search">
      <p>{{itemtekno.name}} - {{itemtekno.rate | currency: 'IDR ':0}}</p>
    </li>
  </ul>
</div>

</body>
